What internet browsers are supported?

Google Chrome

Version: Latest Version

Currently Known Issues: Core's My Downloads using Aspera - Google has removed NPAPI support since September 1st 2015 (see here) which prevents the Aspera Connect plug-in from working on Chrome browsers.

Suggestion: We are currently working on upgrading our Aspera server to support the new non-NPAPI Aspera Connect plug-in. All users will be notified when this happens. In the meantime, we recommend the use of Mozilla Firefox which supports this feature.

Mozilla Firefox

Version: Latest Version

Currently Known Issues: Core's Advanced Player - known issues with Mozilla’s HTML5 video playback support means that video cannot currently be streamed via the Advanced Player. This also means that frame accurate bin clip creation cannot currently be done using this browser.

Suggestion: We will notify all users when a fix is available for this issue. In the meantime, we recommend the use of Google Chrome which supports this feature. Note: basic non-frame accurate bin clip creation can be done using the Core Simple Player in this browser.

Currently Known Issues: The most recent release of Modzilla Firefox (52 or higher) disables the plugin support (NPAPI). NPAPI support is a requirement for use in Wazee Digital Core and Commerce application's fulfillment services when using the My Downloads (using Aspera) option to accelerate file transfer. Wazee Digital is working on a permanent fix for the issue.  Workarounds are suggested below.

Suggestion:

Option 1: Enable NPAPI support in Firefox version 52

  1. In Firefox address bar, type about:config and enter
  2. Select the I accept the risk! button
  3. Right-click in the table and select New>Boolean
  4. Type in the preference name plugin.load_flash_only and click OK
  5. Select False as the value and click OK
  6. Exist and re-open the Firefox Browser

Note: This proceddure works with the 32-bit Firefox install on Windows.  Firefox for Mac works with the 64-bit Firefox broswer install as well.

Option 2: Download or re-install the version of Firefox (51 or lower) to re-enable NPAPI support.  Older versions of Firefox can be found here. After installation, it is recommended that the Firefox Maintenance Service not be installed to avoid upgrades happening automatically.  

To disable automatic upgrades of Firefox:

  1. Open the Firefox browser
  2. Select Tools and Options
  3. Select Advanced and Update
  4. Select either Check for updates but let me choose whether to install them or Never check for updates.

Safari

Version: Latest Version

Currently Known Issues: Core's Simple Player - known issues with Apple’s Flash Video support means that video cannot currently be streamed via the Simple Player. This also means that basic non-frame accurate bin clip creation cannot currently be done using this browser.

Suggestion: We will notify all users when a fix is available for this issue. In the meantime, we recommend the use of Google Chrome which support this feature.

General Note

Due to the high level of effort required to develop, test and support Core for each individual browser currently available, we only support the most popular browsers currently used. We will continue to follow user trends and support the top browsers accordingly, as and when they change. We recognize that while some users may choose to use another browser, we cannot guarantee a problem-free Core experience nor can we offer user support to those using browsers not listed above.

0 Comments

Add your comment

E-Mail me when someone replies to this comment